<ng-container *ngIf="filtersLoaded | async; else pending">
  <nav class="navbar navbar-expand-lg navbar-dark bg-dark fixed-top">
    <a routerLink="/home" class="navbar-brand" routerLinkActive="true">
      <img class="navbar-brand" src="assets/images/SVOnwijs.png" width="50" alt="">
      S.V. Onwijs
    </a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarResponsive"
            aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse mr-5" id="navbarResponsive">
      <ul class="navbar-nav ml-auto">
        <li class="nav-item" [ngClass]="{'active': homeLink.isActive}">
          <a routerLink="/home" class="nav-link" routerLinkActive="true" #homeLink="routerLinkActive">Huis
          </a>
        </li>
        <li class="nav-item" [ngClass]="{'active': usersLink.isActive}" *ngIf="user && user.role == 'admin'">
          <a routerLink="/users" class="nav-link" routerLinkActive="true" #usersLink="routerLinkActive">Gebruikers</a>
        </li>
        <li class="nav-item" [ngClass]="{'active': announcementsLink.isActive}">
          <a routerLink="/announcements" class="nav-link" routerLinkActive="true"
             #announcementsLink="routerLinkActive">Aankondigingen</a>
        </li>
        <li class="nav-item" [ngClass]="{'active': vacanciesLink.isActive}">
          <a routerLink="/vacancies" class="nav-link" routerLinkActive="true"
             #vacanciesLink="routerLinkActive">Vacatures</a>
        </li>
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" role="button" data-toggle="dropdown" aria-haspopup="true"
             aria-expanded="false">Commissies</a>
          <div class="dropdown-menu">
            <a class="dropdown-item" routerLink="/committees/kfc" routerLinkActive="true">KFC</a>
            <a class="dropdown-item" routerLink="/committees/olc" routerLinkActive="true">OLC</a>
            <a class="dropdown-item" routerLink="/committees/kascommissie" routerLinkActive="true">Kascommissie</a>
            <a class="dropdown-item" routerLink="/committees/raadvanadvies" routerLinkActive="true">Raad van Advies</a>
            <a class="dropdown-item" routerLink="/committees/oproepcie" routerLinkActive="true">OproepCie</a>
          </div>
        </li>
        <li class="nav-item" [ngClass]="{'active': eventsLink.isActive}" *ngIf="user && user.role == 'admin'">
          <a routerLink="/events" class="nav-link" routerLinkActive="true"
             #eventsLink="routerLinkActive">Evenementen</a>
        </li>
        <li class="nav-item" [ngClass]="{'active': aboutusLink.isActive}">
          <a routerLink="/about" class="nav-link" routerLinkActive="true" #aboutusLink="routerLinkActive">Vereniging</a>
        </li>
        <li class="nav-item">
          <a href="https://onwijs.itdepartment.nl/" class="nav-link" target="_blank">Boeken bestellen</a>
        </li>
        <li class="nav-item">
          <button type="button" class="nav-link btn bg-transparent" (click)="modalService.open(contactModal)">Contact
          </button>
        </li>
        <li class="nav-item" *ngIf="!user;then one else two"></li>
        <ng-template #one>
          <li class="nav-item">
            <button type="button" class="nav-link btn btn-outline-light bg-transparent"
                    (click)="modalService.open(signupModal, {size: 'lg'})">Doe met ons mee
            </button>
          </li>
          <li class="nav-item">
            <button type="button" class="ml-2 nav-link btn btn-outline-light bg-transparent"
                    (click)="modalService.open(loginModal)">Inloggen
            </button>
          </li>
        </ng-template>
        <ng-template #two>
          <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" role="button" data-toggle="dropdown" aria-haspopup="true"
               aria-expanded="false">{{user.first_name}}
            </a>
            <div class="dropdown-menu">
              <a class="dropdown-item text-dark" routerLink="/profile" routerLinkActive="true">Profiel</a>
              <a class="dropdown-item text-danger" role="button" (click)="onLogout()">Uitloggen</a>
            </div>
          </li>
        </ng-template>
      </ul>
    </div>
  </nav>
</ng-container>

<router-outlet></router-outlet>

<ng-container *ngIf="filtersLoaded | async; else pending">
  <div class="container-fluid pb-1 justify-content-center bg-dark">
    <footer>
      <div class="row my-5 justify-content-center py-5">
        <div class="col-11">
          <div class="row ">
            <div class="col-xl-8 col-md-4 col-sm-4 col-12 my-auto mx-auto a">
              <h5 class="mb-3 mb-lg-4 text-muted bold-text mt-sm-0 mt-5"><b>CONTACT</b></h5>
              <div class="text-light">
                <p class="mb-1"> RA1324, Universiteit Twente</p>
                <p>Open from Do 09:30 - 16:45</p>
                <p>Telephone: +31 53 489 4277</p>
                <p>Email: info@onwijs.utwente.nl</p></div>
            </div>
            <div class="col-xl-2 col-md-4 col-sm-4 col-12">
              <h5 class="mb-3 mb-lg-4 text-muted bold-text mt-sm-0 mt-5"><b>SOCIAL MEDIA</b></h5>
              <p class="social text-muted mb-0 pb-0 bold-text">
                <span class="mx-2"><a href="#" style="color: #fff;"><i class="fa fa-facebook"
                                                                       aria-hidden="false"></i></a></span>
                <span class="mx-2"><a href="#" style="color: #fff;"><i class="fa fa-linkedin-square"
                                                                       aria-hidden="true"></i></a></span>
                <span class="mx-2"><a href="#" style="color: #fff;"><i class="fa fa-twitter"
                                                                       aria-hidden="true"></i></a></span>
              </p>
              <br>
              <small class="rights text-light">
                <span>&copy;</span> S.V.Onwijs All Rights Reserved.
              </small>
            </div>
          </div>
        </div>
      </div>
    </footer>
  </div>
</ng-container>

<ng-template #loginModal let-modal>
  <div class="modal-header">
    <h5 class="modal-title">Login</h5>
    <button type="button" class="close" (click)="modal.close()" aria-label="Close"><span
      aria-hidden="true">&times;</span></button>
  </div>
  <form [formGroup]="loginForm" (ngSubmit)="onSubmitLogin()">
    <div class="modal-body">
      <div class="alert alert-danger alert-dismissible mb-3" role="alert"
           *ngIf="!credentials && loginForm.valid">
        Wrong credentials
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="form-group">
        <label for="email_1">Email</label>
        <input type="email" class="form-control" id="email_1" placeholder="Email" formControlName="email">
      </div>
      <label for="password_1">Password</label>
      <input type="password" class="form-control" id="password_1" placeholder="Password" formControlName="password">
      <hr>
      <button type="button" class="btn btn-link" (click)="modal.dismiss(); modalService.open(emailreset)">Forgot your
        password?
      </button>
      <br>
      <button type="button" class="btn btn-link right"
              (click)="modal.dismiss(); modalService.open(signupModal, {size: 'lg'})">Don't have an account? Sign up!
      </button>
    </div>
    <div class="modal-footer">
      <button type="button" class="btn btn-secondary" (click)="modal.dismiss()">Cancel</button>
      <button type="submit" class="btn btn-primary">Submit</button>
    </div>
  </form>
</ng-template>

<ng-template #emailreset let-modal>
  <div class="modal-header">
    <h5 class="modal-title">Requst token</h5>
    <button type="button" class="close" (click)="modal.close()" aria-label="Close"><span
      aria-hidden="true">&times;</span></button>
  </div>
  <form [formGroup]="requestTokenForm" (ngSubmit)="onTokenRequest()">
    <div class="modal-body">
      <p>Fill in your email address below. If there is an account linked to that email address, you will soon receive a
        token which you can use to reset your password.</p>
      <div class="form-group">
        <input type="text" class="form-control" placeholder="Email" formControlName="email">
      </div>
    </div>
  </form>
  <div class="modal-footer">
    <button type="button" class="btn btn-secondary" (click)="modal.dismiss()">Cancel</button>
    <button type="submit" class="btn btn-primary" (click)="modalService.open(passwordreset)">Request token</button>
  </div>
</ng-template>

<ng-template #passwordreset let-modal>
  <div class="modal-header">
    <h5 class="modal-title">Reset password</h5>
    <button type="button" class="close" (click)="modal.close()" aria-label="Close"><span
      aria-hidden="true">&times;</span></button>
  </div>
  <form [formGroup]="passwordResetForm" (ngSubmit)="onPasswordReset()">
    <div class="modal-body">
      <div class="form-group">
        <label for="token">Token</label>
        <input id="token" type="text" class="form-control" formControlName="token" placeholder="Token">
      </div>
      <div class="form-group">
        <label for="password_2">New password</label>
        <input id="password_2" type="password" class="form-control" formControlName="newPassword"
               placeholder="New password">
      </div>
      <div class="form-group">
        <label for="password_3">Verify password</label>
        <input id="password_3" type="password" class="form-control" formControlName="verifyPassword"
               placeholder="Verify password">
      </div>
      <div class="alert alert-danger"
           *ngIf="passwordResetForm.get('newPassword')?.value != passwordResetForm.get('verifyPassword')?.value">
        Passwords do not match!
      </div>
    </div>
    <div class="modal-footer">
      <button type="button" class="btn btn-secondary" (click)="modal.dismiss()">Cancel</button>
      <button type="submit" class="btn btn-primary"
              [disabled]="passwordResetForm.get('newPassword')?.value != passwordResetForm.get('verifyPassword')?.value">
        Submit
      </button>
    </div>
  </form>
</ng-template>

<ng-template #pending>
  <div class="loader"></div>
</ng-template>

<ng-template #contactModal let-modal>
  <div class="modal-header">
    <h5 class="modal-title">Contact us</h5>
    <button type="button" class="close" (click)="modal.close()" aria-label="Close"><span
      aria-hidden="true">&times;</span></button>
  </div>
  <div class="modal-body">
    <form [formGroup]="contactForm" (ngSubmit)="onSubmitContact()">
      <div class="form-group">
        <label class="control-label" for="name">Name</label>
        <div>
          <input type="text" class="form-control" id="name" formControlName="name">
        </div>
      </div>
      <div class="form-group">
        <label class="control-label" for="email_2">Email</label>
        <div>
          <input type="email" class="form-control" id="email_2" formControlName="email">
        </div>
      </div>
      <div class="form-group">
        <label class="control-label" for="message-text">Message</label>
        <div>
          <textarea class="form-control" id="message-text" formControlName="message"></textarea>
        </div>
      </div>
      <hr>
      <button type="submit" class="btn btn-primary btn-block">Send</button>
    </form>
  </div>
</ng-template>

<ng-template #signupModal let-modal>
  <div class="modal-header">
    <h5 class="modal-title">Registration form</h5>
    <button type="button" class="close" (click)="modal.close()" aria-label="Close"><span
      aria-hidden="true">&times;</span></button>
  </div>
  <form [formGroup]="signUpForm" (ngSubmit)="onSubmitSignUp($event)" class="needs-validation">
    <div class="modal-body">
      <div class="form-row">
        <div class="form-group col-md-5">
          <label for="firstname">First Name</label>
          <input type="text" class="form-control" formControlName="firstName" placeholder="First Name" id="firstname"
                 [ngClass]="{'is-invalid': signUpForm.controls['firstName'].invalid && signUpForm.controls['firstName'].touched,
                 'is-valid': signUpForm.get('firstName').valid}" required
                 [pattern]="'^[a-zA-Z]+(([\',. -][a-zA-Z ])?[a-zA-Z]*)*$'">
          <p>{{signUpForm.errors}}</p>
        </div>
        <div class="form-group col-md-2">
          <label for="initials">Initials</label>
          <input type="text" class="form-control" formControlName="initials" placeholder="Initials" id="initials"
                 [ngClass]="{'is-invalid': signUpForm.get('initials').invalid && signUpForm.get('initials').touched,
                 'is-valid': signUpForm.get('initials').valid}" required [pattern]="'^([A-Z]\.)+$'">
        </div>
        <div class="form-group col-md-5">
          <label for="surname">Last Name</label>
          <input type="text" class="form-control" formControlName="lastName" placeholder="Last Name" id="surname"
                 [ngClass]="{'is-invalid': signUpForm.get('lastName').invalid && signUpForm.get('lastName').touched,
                 'is-valid': signUpForm.get('lastName').valid}" required
                 [pattern]="'^[a-zA-Z]+(([\',. -][a-zA-Z ])?[a-zA-Z]*)*$'">
        </div>
      </div>
      <div class="form-group">
        <label for="dob">Date of Birth</label>
        <input type="date" class="form-control" formControlName="dateOfBirth" id="dob"
               [ngClass]="{'is-invalid': signUpForm.get('dateOfBirth').invalid && signUpForm.get('dateOfBirth').touched,
                 'is-valid': signUpForm.get('dateOfBirth').valid}" required>
      </div>
      <div class="form-row">
        <div class="form-group col-md-8">
          <label for="study">Study</label>
          <input type="text" class="form-control" formControlName="study" placeholder="i.e. Learning to Teach"
                 id="study"
                 [ngClass]="{'is-invalid': signUpForm.get('study').invalid && signUpForm.get('study').touched,
                 'is-valid': signUpForm.get('study').valid}" required [pattern]="'^[a-zA-Z]+( [a-zA-Z]+)*$'">
        </div>
        <div class="form-group col-md-4">
          <label for="start_year">Start Year</label>
          <input type="text" class="form-control" formControlName="startYear" placeholder="i.e. 2019" id="start_year"
                 [ngClass]="{'is-invalid': signUpForm.get('startYear').invalid && signUpForm.get('startYear').touched,
                 'is-valid': signUpForm.get('startYear').valid}" required [pattern]="'^[1-9][0-9]{3}$'">
        </div>
      </div>
      <div class="form-group">
        <label for="snumber">Student Number</label>
        <input type="text" class="form-control" formControlName="sNumber" placeholder="s0000000" id="snumber"
               [ngClass]="{'is-invalid': signUpForm.get('sNumber').invalid && signUpForm.get('sNumber').touched,
               'is-valid': signUpForm.get('sNumber').valid}" required [pattern]="'^[s][0-9]{1,10}$'">
      </div>
      <div class="form-group">
        <label for="address">Street Address</label>
        <input type="text" class="form-control" formControlName="streetAddress" placeholder="i.e. Drienerlolaan 5"
               id="address"
               [ngClass]="{'is-invalid': signUpForm.get('streetAddress').invalid && signUpForm.get('streetAddress').touched,
               'is-valid': signUpForm.get('streetAddress').valid}" required
               [pattern]="'^(.*?) +([0-9]+[a-zA-Z]{0,1} {0,1}[-]{1} {0,1}[0-9]*[a-zA-Z]{0,1}|[0-9]+[a-zA-Z-]{0,1}[0-9]*[a-zA-Z]{0,1})$'">
      </div>
      <div class="form-row">
        <div class="form-group col-md-8">
          <label for="city">City</label>
          <input type="text" class="form-control" formControlName="city" placeholder="i.e. Enschede" id="city"
                 [ngClass]="{'is-invalid': signUpForm.get('city').invalid && signUpForm.get('city').touched,
                 'is-valid': signUpForm.get('city').valid}" required [pattern]="'^[a-zA-Z- ]+$'">
        </div>
        <div class="form-group col-md-4">
          <label for="postal">Postal Code</label>
          <input type="text" class="form-control" formControlName="postalCode" placeholder="i.e. 7512 AA" id="postal"
                 [ngClass]="{'is-invalid': signUpForm.get('postalCode').invalid && signUpForm.get('postalCode').touched,
                 'is-valid': signUpForm.get('postalCode').valid}" required [pattern]="'^[0-9]{4}[A-Z]{2}$'">
        </div>
      </div>
      <div class="form-group">
        <label for="phone_number">Telephone Number</label>
        <input type="text" class="form-control" formControlName="telephone" placeholder="060000000" id="phone_number"
               [ngClass]="{'is-invalid': signUpForm.get('telephone').invalid && signUpForm.get('telephone').touched,
               'is-valid': signUpForm.get('telephone').valid}" required
               [pattern]="'^[+]?[0-9]{3}[ -.]?[0-9]{3}[ -.]?[0-9]{4,6}$'">
      </div>
      <div class="form-group">
        <label for="email">Email</label>
        <input type="email" class="form-control" formControlName="email" placeholder="address@email.com" id="email"
               [ngClass]="{'is-invalid': signUpForm.get('email').invalid && signUpForm.get('email').touched,
               'is-valid': signUpForm.get('email').valid}" required>
      </div>
      <div class="form-group">
        <label for="iban">IBAN</label>
        <input type="text" class="form-control" formControlName="iban" placeholder="NL00BANK000000000000" id="iban"
               [ngClass]="{'is-invalid': signUpForm.get('iban').invalid && signUpForm.get('iban').touched,
               'is-valid': signUpForm.get('iban').valid}" required [pattern]="'^[A-Z]{2}[0-9]{2}[A-Z]{4}[0-9]{8,30}$'">
      </div>
      <hr>
      <div class="form-group">
        <p>
          Are you currently following the minor "Learning to Teach" (Leren Lesgeven), master of Science Education and
          Communication, or the master of Teacher VHO Social Sciences and Social Sciences (Leraar VHO Maatschappijleer
          en Maatschappijwetenschappen)?
        </p>
      </div>
      <div class="form-group">
        <div class="form-check">
          <input class="form-check-input" type="radio" formControlName="contribution"
                 onclick="document.getElementById('input1').disabled = true;
                          document.getElementById('input2').disabled = true;"
                 name="contribution" id="noregistration" [checked]="true">
          <label class="form-check-label" for="noregistration">No (contribution of 4,25)</label>
        </div>
      </div>
      <div class="form-row">
        <div class="form-group col-md-6">
          <div class="form-check">
            <input class="form-check-input" type="radio" value="1" formControlName="contribution"
                   onclick="document.getElementById('input1').disabled = false;
                            document.getElementById('input2').disabled = true;"
                   name="contribution" id="minorregistration">
            <label class="form-check-label" for="minorregistration">
              Yes, minor (contribution of €4,25) in:
            </label>
          </div>
        </div>
        <div class="form-group col-md-6">
          <input type="text" id="input1" class="form-control" formControlName="minorProgram"
                 placeholder="Name of Minor Program" disabled>
        </div>
      </div>
      <div class="form-row">
        <div class="col-md-6">
          <div class="form-check">
            <input class="form-check-input" type="radio" value="2" formControlName="contribution"
                   onclick="document.getElementById('input2').disabled = false;
                            document.getElementById('input1').disabled = true;"
                   name="contribution" id="masterregistration">
            <label class="form-check-label" for="masterregistration">
              Yes, master (contribution of €8.50) in:
            </label>
          </div>
        </div>
        <div class="col-md-6">
          <input type="text" id="input2" class="form-control" formControlName="masterProgram"
                 placeholder="Name of Master Program" disabled>
        </div>
      </div>
      <hr>
      <div class="form-group">
        <div class="form-check">
          <input class="form-check-input" type="checkbox" id="authorizedebit" formControlName="paymentMembership"
                 (change)="checkboxChange1($event)">
          <label class="form-check-label" for="authorizedebit">
            I authorize Onwijs to debit the annual contribution.
          </label>
        </div>
      </div>
      <div class="form-check">
        <input class="form-check-input" type="checkbox" id="authorizeevents" formControlName="paymentActivities"
               (change)="checkboxChange2($event)">
        <label class="form-check-label" for="authorizeevents">
          I authorize Onwijs to debit amounts from my account, with regard to participation in activities.
        </label>
      </div>
    </div>
    <div class="modal-footer">
      <button type="button" class="btn btn-secondary" (click)="modal.close()">Close</button>
      <button type="submit" class="btn btn-primary" [disabled]="signUpForm.pristine">Send</button>
    </div>
  </form>
</ng-template>
